> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Type

> Retrieve the details of an account type. This includes information on the properties required to create an Account of this type.



## OpenAPI

````yaml /openapi/platform/accounts.yaml GET /v1/account-types/{ACCOUNT_TYPE_ID}
openapi: 3.1.0
info:
  title: Account API
  version: '1.0'
  description: "## The Account Object\nThe Account API allows you to create, update, validate and share accounts in Domo. If you would like to manage a large number of accounts at scale from agencies or other 3rd party vendors that you currently manage individually through the Data Center in Domo, the Accounts API makes that possible.\n\n<Note>\n<!-- theme: info -->\n> ### Note\n>\n>The Accounts API will only return information for accounts you own or for accounts that have been shared with you in Domo.\n\n## Account Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String |\tThe ID of the Account |\n| name | String\t| The name of the Account |\n| type | Object\t| The type of the Account |\n| valid\t| Boolean | Indicates if the Account needs to be re-authorized or not |\n\n## Account's Type Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String | The ID of the Account Type |\n| name | String | The name of the Account Type |\n| templates | Object | The Template that defines the properties required to create an Account of this type |\n\n## Account Type's Template Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| title\t| String | The title of the Template |\n| contentType | String | The content-type header when sending the request to create an Account |\n| method | String | The HTTP method used when creating the Account |\n| properties | Array | The properties available to be sent when creating an Account |\n| name | String\t| The name of the Account Type |\n| templates | Object |The Template that defines the properties required to create an Account of this type |\n\n## Account Share Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| user\t| Object | The User to share the Account with. Only the User's id attribute is required. See the Users API for more information |\n\n"
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/account-types/{ACCOUNT_TYPE_ID}:
    parameters:
      - schema:
          type: string
        name: ACCOUNT_TYPE_ID
        in: path
        required: true
        description: The ID of the Account Type
    get:
      tags: []
      summary: Get Account Type
      description: >-
        Retrieve the details of an account type. This includes information on
        the properties required to create an Account of this type.
      parameters: []
      responses:
        '200':
          description: >-
            Returns an Account Type object if valid Account Type ID was
            provided.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  _templates:
                    type: object
                    properties:
                      default:
                        type: object
                        properties:
                          title:
                            type: string
                          contentType:
                            type: string
                          method:
                            type: string
                          key:
                            type: string
                          properties:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                prompt:
                                  type: string
                                required:
                                  type: boolean
                x-examples:
                  Example 1:
                    id: xyz
                    name: XYZ
                    _templates:
                      default:
                        title: Create XYZ Account
                        contentType: application/json
                        method: post
                        key: default
                        properties:
                          - name: username
                            prompt: Username
                            required: true
                          - name: authenticateBy
                            prompt: Authenticate By
                            regex: '{}'
                            required: true
                          - name: password
                            prompt: Secret
                            required: true
                          - name: endpoint
                            prompt: XYZ URL
                            required: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````